//@see http://seiga.nicovideo.jp/seiga/im4455808

uniform sampler2D tex;
//uniform float     time;

varying vec2  texOffset;

/**
 * main
 */
void main (void){
//	if(time>0.5) discard;

	vec2  point      = gl_PointCoord;
	//select
	point      = (point + texOffset) * 0.25;
	point.t = 1.0 - point.t;

	vec4 color = texture(tex, point);

	if(color.a<=0.0){
		discard;
	}

	gl_FragColor = color;
}
